import { JsonObject } from './JsonObject';
import { JsonTransform } from './JsonTransform';
export declare abstract class DeepCopy<T> extends JsonTransform {
    private readonly creator;
    copy(changeArgs?: JsonObject<T>): T;
    protected deepCopyFromJson(): T;
}
